libtest-simple-perl (1.302162-1~bpo9+1) stretch-backports; urgency=medium

  * Team upload
  * Rebuild for stretch-backports.

 -- Xavier Guimard <yadd@debian.org>  Mon, 06 May 2019 20:15:59 +0200

libtest-simple-perl (1.302162-1) unstable; urgency=medium

  * Import upstream version 1.302162.

 -- gregor herrmann <gregoa@debian.org>  Sat, 09 Feb 2019 02:13:47 +0100

libtest-simple-perl (1.302160-1) unstable; urgency=medium

  * Import upstream version 1.302160.

 -- gregor herrmann <gregoa@debian.org>  Sat, 19 Jan 2019 21:26:04 +0100

libtest-simple-perl (1.302156-1) unstable; urgency=medium

  * Import upstream version 1.302156.
    Fixes "libtest-differences-perl: t/column-headers.t fails with verbose
    tests" (Closes: #901080)
  * Update years of upstream and packaging copyright.
  * Declare compliance with Debian Policy 4.3.0.
  * Bump debhelper compatibility level to 11.
  * Remove trailing whitespace from debian/*.

 -- gregor herrmann <gregoa@debian.org>  Fri, 11 Jan 2019 19:46:31 +0100

libtest-simple-perl (1.302141-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.302141.
  * Update to Standards-Version 4.2.1.
  * Declare that the package does not need (fake)root to build.

 -- Niko Tyni <ntyni@debian.org>  Sun, 09 Dec 2018 20:24:58 +0200

libtest-simple-perl (1.302140-1~bpo9+1) stretch-backports; urgency=medium

  * Team upload
  * Rebuild for stretch-backports.

 -- Xavier Guimard <yadd@debian.org>  Fri, 07 Dec 2018 06:56:06 +0100

libtest-simple-perl (1.302140-1) unstable; urgency=medium

  * Import upstream version 1.302140.
  * Drop debian/tests/pkg-perl/smoke-skip.
    The test we skipped is ignored by default by pkg-perl-autopkgtest.
  * Declare compliance with Debian Policy 4.2.0.
  * Fix hashbang in examples.

 -- gregor herrmann <gregoa@debian.org>  Tue, 21 Aug 2018 21:16:54 +0200

libtest-simple-perl (1.302138-1) unstable; urgency=medium

  * Import upstream version 1.302138.
  * Declare compliance with Debian Policy 4.1.5.

 -- gregor herrmann <gregoa@debian.org>  Mon, 16 Jul 2018 20:20:40 +0200

libtest-simple-perl (1.302136-1) unstable; urgency=medium

  * Import upstream version 1.302136.

 -- gregor herrmann <gregoa@debian.org>  Sat, 05 May 2018 17:56:57 +0200

libtest-simple-perl (1.302135-1) unstable; urgency=medium

  * Import upstream version 1.302135.
  * Drop pod.patch, merged upstream.
  * Declare compliance with Debian Policy 4.1.4.

 -- gregor herrmann <gregoa@debian.org>  Sat, 14 Apr 2018 18:40:59 +0200

libtest-simple-perl (1.302133-1) unstable; urgency=medium

  * Import upstream version 1.302133.

 -- gregor herrmann <gregoa@debian.org>  Sat, 17 Mar 2018 20:03:25 +0100

libtest-simple-perl (1.302130-1) unstable; urgency=medium

  * Import upstream version 1.302130.
  * Add patch to fix missing whatis entry in a new manpage.
    Thanks to lintian.

 -- gregor herrmann <gregoa@debian.org>  Sat, 10 Mar 2018 18:52:37 +0100

libtest-simple-perl (1.302125-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * Import upstream version 1.302125.

 -- gregor herrmann <gregoa@debian.org>  Sun, 04 Mar 2018 15:02:53 +0100

libtest-simple-perl (1.302122-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ gregor herrmann ]
  * Import upstream version 1.302122.
  * Update years of upstream and packaging copyright.
  * Bump debhelper compatibility level to 10.

 -- gregor herrmann <gregoa@debian.org>  Mon, 19 Feb 2018 20:14:07 +0100

libtest-simple-perl (1.302120-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.2 (no changes needed)

  [ gregor herrmann ]
  * Import upstream version 1.302120.

 -- gregor herrmann <gregoa@debian.org>  Mon, 25 Dec 2017 17:25:17 +0100

libtest-simple-perl (1.302113-1) unstable; urgency=medium

  * Import upstream version 1.302113.

 -- gregor herrmann <gregoa@debian.org>  Tue, 21 Nov 2017 20:32:41 +0100

libtest-simple-perl (1.302112-1) unstable; urgency=medium

  * Import upstream version 1.302112.

 -- gregor herrmann <gregoa@debian.org>  Mon, 20 Nov 2017 20:39:18 +0100

libtest-simple-perl (1.302106-1) unstable; urgency=medium

  * Import upstream version 1.302106.

 -- gregor herrmann <gregoa@debian.org>  Wed, 01 Nov 2017 19:26:59 +0100

libtest-simple-perl (1.302098-1) unstable; urgency=medium

  * Import upstream versions 1.302085, 1.302086, 1.302098.
    Fixes "crashes the libapache2-authcookie-perl test suite"
    (Closes: #865893)
  * Drop debian/tests/pkg-perl/smoke-tests, handled by pkg-perl-
    autopkgtest now.
  * Drop 0001-Reset-inside-subtest-maintains-parent.patch which was
    cherry-picked from upstream Git.
  * Add two new Breaks.
  * Add debian/duck-overrides to ignore a false positive.
  * Declare compliance with Debian Policy 4.1.1.

 -- gregor herrmann <gregoa@debian.org>  Tue, 03 Oct 2017 23:11:01 +0200

libtest-simple-perl (1.302075-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream patch from 1.302076 to unbreak the
    libapache2-authcookie-perl test suite. (Closes: #865893)

 -- Niko Tyni <ntyni@debian.org>  Sun, 09 Jul 2017 22:59:16 +0300

libtest-simple-perl (1.302075-1) unstable; urgency=medium

  * Import upstream version 1.302075.
  * Update years of upstream and packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Fri, 13 Jan 2017 23:44:30 +0100

libtest-simple-perl (1.302073-1) unstable; urgency=medium

  * Import upstream version 1.302073.

 -- gregor herrmann <gregoa@debian.org>  Sun, 25 Dec 2016 20:50:15 +0100

libtest-simple-perl (1.302067-1) unstable; urgency=medium

  * Import upstream version 1.302067.
  * Add another Breaks in debian/control.

 -- gregor herrmann <gregoa@debian.org>  Wed, 30 Nov 2016 19:13:10 +0100

libtest-simple-perl (1.302062-1) unstable; urgency=medium

  * Import upstream version 1.302062.

 -- gregor herrmann <gregoa@debian.org>  Sat, 22 Oct 2016 22:58:06 +0200

libtest-simple-perl (1.302052-1) unstable; urgency=medium

  * Remove Jonathan Yu from Uploaders. Thanks for your work!
  * Import upstream version 1.302052.
  * Drop build dependency on libtest-pod-coverage-perl.

 -- gregor herrmann <gregoa@debian.org>  Sun, 04 Sep 2016 17:47:44 +0200

libtest-simple-perl (1.302049-1) unstable; urgency=medium

  * Upload to unstable.
  * Import upstream version 1.302049.

 -- gregor herrmann <gregoa@debian.org>  Sat, 30 Jul 2016 17:07:11 +0200

libtest-simple-perl (1.302047-1) experimental; urgency=medium

  * Import upstream version 1.302047.

 -- gregor herrmann <gregoa@debian.org>  Sat, 23 Jul 2016 20:23:32 +0200

libtest-simple-perl (1.302045-1) experimental; urgency=medium

  * Import upstream version 1.302045.

 -- gregor herrmann <gregoa@debian.org>  Thu, 21 Jul 2016 21:26:23 +0200

libtest-simple-perl (1.302037-1) experimental; urgency=medium

  * Import upstream version 1.302037.

 -- gregor herrmann <gregoa@debian.org>  Sat, 09 Jul 2016 16:48:23 +0200

libtest-simple-perl (1.302035-1) experimental; urgency=medium

  * Import upstream version 1.302035.
  * Update list of breaks in debian/control.

 -- gregor herrmann <gregoa@debian.org>  Thu, 30 Jun 2016 18:06:00 +0200

libtest-simple-perl (1.302022-1) experimental; urgency=medium

  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Import upstream version 1.302022.
  * Update debian/libtest-simple-perl.examples.
    All examples are in one directory now.
  * Drop patches, applied upstream.

 -- gregor herrmann <gregoa@debian.org>  Mon, 30 May 2016 18:38:16 +0200

libtest-simple-perl (1.302015-1) experimental; urgency=medium

  [ Jonas Smedegaard ]
  * Break older libtest-sharedfork-perl
    (see https://rt.cpan.org/Public/Bug/Display.html?id=101692).

  [ gregor herrmann ]
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Import upstream version 1.302015.
    This releases merges in Test2, the successor of Test::Builder.
    Cf. the Test2::Transition documentation for details.
  * Upload to experimental for the time being.
  * Add Breaks/Replaces/Provides for libtest2-perl as Test2 is now part of
    Test-Simple.
  * Add a couple of packages to Breaks which don't work (yet) with the new
    Test-Simple/Test2.
  * Drop outdated list of included modules from debian/control.
  * Install new additional examples.
  * Update Contact in debian/upstream/metadata.
  * Add new upstream copyright holder.
  * Update years of packaging copyright.
  * Drop debian/libtest-simple-perl.docs. The TODO is gone.
  * Drop pod-encoding.patch, merged upstream.
  * Add patches to fix POD and spelling mistakes.
  * Add a lintian override for a false positive spelling warning.
  * autopkgtest: run all tests, also in subdirectories.
  * debian/control: set Homepage (back) to MetaCPAN.
  * debian/upstream/metadata: use HTTPS for URLs. Thanks to duck.
  * Bump debhelper compatibility level to 9.
  * Declare compliance with Debian Policy 3.9.8.

 -- gregor herrmann <gregoa@debian.org>  Tue, 10 May 2016 19:45:00 +0200

libtest-simple-perl (1.001014-3) unstable; urgency=medium

  * Team upload.
  * Make the Replaces and Breaks entries for libtest-tester-perl
    and libtest-use-ok-perl versioned. (Closes: #790878)

 -- Niko Tyni <ntyni@debian.org>  Thu, 02 Jul 2015 18:59:14 +0300

libtest-simple-perl (1.001014-2) unstable; urgency=medium

  * Replace/Break/Provide libtest-tester-perl, libtest-use-ok-perl, now
  * Mention Test::Tester and Test::use::ok in long description

 -- Damyan Ivanov <dmn@debian.org>  Sat, 13 Jun 2015 19:41:16 +0000

libtest-simple-perl (1.001014-1) unstable; urgency=medium

  * Imported Upstream version 1.001014
    Closes: #788264 -- Uninstallable with perl 5.22
  * update debian/copyright
  * Patch POD encoding declaration of lib/ok.pm

 -- Damyan Ivanov <dmn@debian.org>  Sat, 13 Jun 2015 19:14:02 +0000

libtest-simple-perl (1.001008-1) unstable; urgency=medium

  * Import upstream version 1.001008
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Fri, 17 Oct 2014 22:17:08 +0200

libtest-simple-perl (1.001006-2) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * Drop debian/tests/control, add Testsuite field to debian/control instead.

  [ Niko Tyni ]
  * autopkgtest: skip t/00compile.t, which needs too many source files

 -- Niko Tyni <ntyni@debian.org>  Fri, 19 Sep 2014 20:54:11 +0300

libtest-simple-perl (1.001006-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Add debian/upstream/metadata
  * Imported upstream version 1.001006
  * Add autopkgtest control file.

 -- gregor herrmann <gregoa@debian.org>  Mon, 08 Sep 2014 20:24:17 +0200

libtest-simple-perl (1.001003-1) unstable; urgency=medium

  * New upstream release.
  * Strip trailing slash from metacpan URLs.
  * debian/copyright: update Upstream-Contact.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 06 Apr 2014 18:28:07 +0200

libtest-simple-perl (1.001002-1) unstable; urgency=low

  * New upstream release.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Sun, 24 Nov 2013 17:20:56 +0100

libtest-simple-perl (0.99-2) unstable; urgency=low

  * Update Homepage following upstream

 -- Damyan Ivanov <dmn@debian.org>  Fri, 18 Oct 2013 22:44:15 +0300

libtest-simple-perl (0.99-1) unstable; urgency=low

  * New upstream release
  * drop perl5.18.tests patch, no longer needed

 -- Damyan Ivanov <dmn@debian.org>  Fri, 18 Oct 2013 22:04:51 +0300

libtest-simple-perl (0.98-2) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.
    Closes: #708749

  [ Salvatore Bonaccorso ]
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * Don't run author tests during package build.
  * Add patch to fix test failure with perl 5.18. Taken from perl git.
    (Closes: #711268)
  * debian/copyright: switch formatting to Copyright-Format 1.0.
  * Update years of packaging copyright.
  * Bump debhelper compatibility level to 8.
  * Declare compliance with Debian Policy 3.9.4.

 -- gregor herrmann <gregoa@debian.org>  Mon, 12 Aug 2013 16:01:31 +0200

libtest-simple-perl (0.98-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 25 Feb 2011 22:13:13 +0100

libtest-simple-perl (0.96-1) unstable; urgency=low

  [ Jonathan Yu ]
  * Note this package is in core in long description

  [ Ansgar Burchardt ]
  * New upstream release.
  * Use source format 3.0 (quilt).
  * debian/copyright: Formatting changes; refer to "Debian systems" instead of
    "Debian GNU/Linux systems"; refer to /usr/share/common-licenses/GPL-1.
  * Bump Standards-Version to 3.9.1.

  [ Salvatore Bonaccorso ]
  * Update my email address.

  [ gregor herrmann ]
  * Add a NEWS.Debian entry about feature changes.

 -- gregor herrmann <gregoa@debian.org>  Sun, 21 Nov 2010 16:00:35 +0100

libtest-simple-perl (0.94-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
    + Make sure that subtest works with Test:: modules which call
      Test::Builder->new at the top of their code
  * Updated copyright with people from changelog
  * Small change to top line of description
  * Install the supplied examples

  [ Ryan Niebur ]
  * Update jawnsy's email address

 -- Jonathan Yu <jawnsy@cpan.org>  Thu, 03 Sep 2009 10:43:00 -0400

libtest-simple-perl (0.92-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * New upstream release (Closes: #542604)

  [ Damyan Ivanov ]
  * drop the version of the perl build-dependency (satisfied by oldstable)
  * Standards-Version: 3.8.3 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 20 Aug 2009 15:28:40 +0300

libtest-simple-perl (0.90-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
    + No longer need repacking/dfsg tag, upstream added copyright
      [Fixes bug test-more.googlecode.com issue #47]
    + Test changes
  * Added /me to Uploaders and Copyright
  * Updated Copyright dist years to 2001-2009 (from the Changes file)
  * Remove all the repacking stuff as it's no longer necessary

  [ gregor herrmann ]
  * debian/control: make short description a noun phrase.
  * debian/control: remove Provides/Conflicts/Replaces on
    libtest-builder-tester-perl, since this package was removed from the
    archive over 3 years and 2 releases ago and there are no reverse
    dependencies left.

 -- Jonathan Yu <frequency@cpan.org>  Fri, 03 Jul 2009 07:07:36 -0400

libtest-simple-perl (0.88+dfsg-1) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Salvatore Bonaccorso ]
  * New upstream release
  * Remove Florian Ragwitz from Uploaders (Closes: #523233)
  * Add myself to Uploaders.
  * Adjust copyright dates for debian/* packaging.
  * debian/rules:
    - Minimize debian/rules and bump Build-Depends on needed debhelper
      version (>= 7.0.50).
    - Add the get-orig-source target
  * Bump Standard-Versions to 3.8.2.
  * debian/watch add repack.sh to remove Test::Builder::IO::Scalar which is
    a copy of IO::Scalar which ships with Test::Builder to support scalar
    references as filehandles on Perl 5.6.
  * Add a README.source to explain why we have to repack the source tarball.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Wed, 17 Jun 2009 22:16:59 +0200

libtest-simple-perl (0.86-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).

  [ Damyan Ivanov ]
  * New upstream release
    + Closes: #506182 -- Doesn't comment out diag lines preceded by a blank
      line. Thanks to Matt Kraai for reporting.

 -- Damyan Ivanov <dmn@debian.org>  Wed, 19 Nov 2008 08:26:12 +0200

libtest-simple-perl (0.84-1) unstable; urgency=low

  * New upstream release.
  * Add /me to Uploaders.
  * debian/rules: use our "default" template instead of the extra-short
    version.
  * debian/rules: enable additional tests by setting AUTHOR_TESTING.
  * debian/copyright: switch to new format, separate copyright inforamtion for
    specific files.

 -- gregor herrmann <gregoa@debian.org>  Fri, 17 Oct 2008 23:53:50 +0200

libtest-simple-perl (0.80-1) unstable; urgency=low

  [ gregor herrmann ]
  * Take over for the Debian Perl Group with maintainer's permission
    (http://lists.debian.org/debian-perl/2008/06/msg00039.html)
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Changed:
    Maintainer set to Debian Perl Group <pkg-perl-
    maintainers@lists.alioth.debian.org> (was: Florian Ragwitz
    <rafl@debian.org>); Florian Ragwitz <rafl@debian.org> moved to
    Uploaders.
  * Add debian/watch.

  [ Damyan Ivanov ]
  * New upstream release
  * minimize debian/rules with debhelper 7; adjust dh compat level and
    build-dependency accordingly
  * add myself to Uploaders
  * Standards-Version 3.8.0 (no change needed)
  * add libtest-pod-perl and libtest-pod-coverage-perl to B-D-I,
    enabling additional tests

 -- Damyan Ivanov <dmn@debian.org>  Mon, 23 Jun 2008 13:07:35 +0300

libtest-simple-perl (0.78-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version, needed to fix several FTBFS bugs. (Closes: #457165)
  * debian/rules: Don't fail when ExtUtils::Install is smart enough to not
     create empty dirs in /usr. (Closes: #468012)
  * Minimal house-keeping in an old package:
    + Bump Standards-Version to 3.7.3 (no changes needed)
    + debian/copyright: Fix to reflect actual copyrights

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 12:20:56 +0100

libtest-simple-perl (0.62-1) unstable; urgency=low

  * Initial Release.

 -- Florian Ragwitz <rafl@debian.org>  Thu, 26 Jan 2006 21:36:03 +0100
